<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('notes', function (Blueprint $table) {
            $table->unsignedBigInteger('lead_id')->nullable()->after('contact_id');
            $table->unsignedBigInteger('deal_id')->nullable()->after('lead_id');
            $table->unsignedBigInteger('account_id')->nullable()->after('deal_id');
            $table->unsignedBigInteger('campaign_id')->nullable()->after('account_id');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('notes', function (Blueprint $table) {
            $table->dropColumn(['lead_id', 'deal_id', 'account_id', 'campaign_id']); // Drop all the columns
        });
    }
};
